class BaseMailerError(Exception):
    """Excepción base para todos los errores de la librería."""
    pass


class MailError(BaseMailerError):
    """Error general relacionado con el envío de mails."""
    pass


class TemplateError(BaseMailerError):
    """Error relacionado con la carga o renderización de templates."""
    pass


class ProviderError(BaseMailerError):
    """Error relacionado con proveedores externos."""
    pass